CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
PasswordFormField Class Reference

Abstraction for password forms. More...

Inheritance diagram for PasswordFormField:
[legend]
Collaboration diagram for PasswordFormField:
[legend]

## Setup/Initialization
| PasswordFormField ($Name, $IsRequired, $Label, $Length, $MaxLength, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object Constructor.

## Additional Inherited Members
Public Member Functions inherited from TextFormField
| TextFormField ($Name, $IsRequired, $Label, $Length, $MaxLength, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object Constructor.
| Length ($NewVal=NULL)
| Get or set the display length for this field.
| MaxLength ($NewVal=NULL)
| Get or set the maximum input length for this field.
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML for this object.
Public Member Functions inherited from FormField
| FormField ($Name, $IsRequired, $Label, $ValidFunc, $ValidMsgs)
| Object Constructor.
| Name ($NewVal=NULL)
| Get or set Name (internal name for id=)
| IsRequired ($NewVal=NULL)
| Get/set IsRequired.
| Label ($NewVal=NULL)
| Get or set the Label (display name in generated HTML)
| Value ($NewVal=NULL)
| Get or set the field's value.
| IsPassword ()
| Determine if this field is a password fild.
| PrintField ($DisplayErrorIndicator=FALSE)
| Print the label and generate input tags for this object.
| PrintLabel ($DisplayErrorIndicator=FALSE)
| Print the label for this field without generating the input tags.
| IsInvalidValue ($Value)
| Check the validity of the field's value.
| GetInvalidValueMessage ($ErrorCode)
| Map an error code from IsInvalidValue to an error message.
Protected Attributes inherited from FormField
| $MyName
| $MyIsRequired
| $MyLabel
| $MyValue
| $MyValidFunc
| $MyValidMsgs

## Detailed Description

Abstraction for password forms.

Definition at line 8 of file PasswordFormField.php.

## Member Function Documentation

PasswordFormField::PasswordFormField | ( |  | $Name,
|  |  | $IsRequired,
|  |  | $Label,
|  |  | $Length,
|  |  | $MaxLength,
|  |  | $ValidFunc = `NULL`,
|  |  | $ValidMsgs = `NULL`
| ) |  |

Object Constructor.

Parameters

  Name | internal name for this field, used for html id=
  IsRequired |
  Label | display name for this field, shown to the user
  Length | minimum length for a password
  MaxLength | maximum length allowed
  ValidFunc | function to validate entered data
  ValidMsgs | error messages associated with error codes from ValidFunc

Definition at line 22 of file PasswordFormField.php.

References TextFormField\TextFormField().

The documentation for this class was generated from the following file:

- objects/PasswordFormField.php